import { NSVElement, NSVViewFlags } from '../dom';
export type NSVElementResolver = () => any;
export type NSVModelDescriptor = {
    prop: string;
    event: string;
};
export interface NSVViewMeta {
    viewFlags: NSVViewFlags;
    nodeOps?: {
        insert(child: NSVElement, parent: NSVElement, atIndex?: number): void;
        remove(child: NSVElement, parent: NSVElement): void;
    };
    model?: NSVModelDescriptor;
    overwriteExisting?: boolean;
}
export interface NSVElementDescriptor {
    meta: NSVViewMeta;
    resolver?: NSVElementResolver;
}
export declare let defaultViewMeta: NSVViewMeta;
export declare function getViewMeta(elementName: string): NSVViewMeta;
export declare function registerUnknownViewResolver(resolver: (name: string) => any): void;
export declare function getViewClass(elementName: string): any;
export declare function normalizeElementName(elementName: string): string;
export declare function registerElement(elementName: string, resolver?: NSVElementResolver, meta?: Partial<NSVViewMeta>): void;
export declare function isKnownView(elementName: string): boolean;
